$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.139.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.139.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EFD680BB301FFFF35DD74AE342B97E23260F69DFA3DAED984E98EAFF1D699272'
  checksumType = 'sha256'
  checksum64 = 'EFD680BB301FFFF35DD74AE342B97E23260F69DFA3DAED984E98EAFF1D699272'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.139-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
